%define realname asn1crypto
%define srcext   tar.bz2

%if ! 0%{?py_ver:1}
%define py_ver %(python -c "import sys; v=sys.version_info[:2]; print '%%d.%%d'%%v" 2>/dev/null || echo PYTHON-NOT-FOUND)
%endif

# Common info
Name:          python-%{realname}
Version:       0.22.0
Release:       1%{?dist}
License:       MIT
Group:         Development/Languages/Python
URL:           https://github.com/wbond/asn1crypto
Summary:       A fast, pure Python library for parsing and serializing ASN.1 structures

# Install-time parameters
Requires:      python%{?suse_version:-base}

# Build-time parameters
%if ! 0%{?sles_version}
BuildArch:     noarch
%endif
BuildRequires: python%{?suse_version:-base}
BuildRequires: python-setuptools
BuildRoot:     %{_tmppath}/%{name}-root
Source:        %{realname}-%{version}%{?extraver}.%{srcext}

%description
Fast ASN.1 parser and serializer with definitions for private keys, public keys,
certificates, CRL, OCSP, CMS, PKCS#3, PKCS#7, PKCS#8, PKCS#12, PKCS#5,
X.509 and TSP

# Preparation step (unpackung and patching if necessary)
%prep
%setup -q -n %{realname}-%{version}%{?extraver}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} -O2
[ "%{buildroot}" != "/" ] && find %{buildroot}%{python_sitelib}/%{realname}/ -name "*.pyo" -delete

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE readme.md docs/pem.md docs/universal_types.md
%{python_sitelib}/%{realname}/
%{python_sitelib}/%{realname}-%{version}-py%{py_ver}.egg-info/

%changelog
* Mon Mar 20 2017 aevseev@gmail.com
- First build. Version - 0.22.0
